Jack2 1.9.12

Public Member Functions | List of all members
Jack::JackWinMMEOutputPort Class Reference
Inheritance diagram for Jack::JackWinMMEOutputPort:

## Public Member Functions
| JackWinMMEOutputPort (const char *alias_name, const char *client_name, const char *driver_name, UINT index, size_t max_bytes=4096, size_t max_messages=1024)
bool | Execute ()
bool | Init ()
void | ProcessJack (JackMidiBuffer *port_buffer, jack_nframes_t frames)
bool | Start ()
bool | Stop ()
Public Member Functions inherited from Jack::JackWinMMEPort
const char * | GetAlias ()
const char * | GetName ()
void | GetOSErrorString (LPTSTR text)
void | WriteOSError (const char *jack_func, const char *os_func)

## Additional Inherited Members
Protected Attributes inherited from Jack::JackWinMMEPort
char | alias [REAL_JACK_PORT_NAME_SIZE+1]
char | name [REAL_JACK_PORT_NAME_SIZE+1]

## Detailed Description

Definition at line 30 of file JackWinMMEOutputPort.h.

## Member Function Documentation

## ◆ Init()

bool JackWinMMEOutputPort::Init | ( |  | ) |
| virtual

Called once when the thread is started

Reimplemented from Jack::JackRunnableInterface.

Definition at line 275 of file JackWinMMEOutputPort.cpp.

The documentation for this class was generated from the following files:

- JackWinMMEOutputPort.h
- JackWinMMEOutputPort.cpp